[Overview][Types][Procedures and functions][Variables][Index] | Reference for unit 'LCLIntf' (#lcl)

# Arc

Draws an elliptical curve.

## Declaration

Source position: winapih.inc line 35

`function Arc(`
`DC: HDC;`
`Left: Integer;`
`Top: Integer;`
`Right: Integer;`
`Bottom: Integer;`
`Angle16Deg: Integer;`
`Angle16DegLength: Integer`
`):Boolean;`

## Arguments

`Angle16Deg` |  | The starting angle in 1/16 degrees, starting right and continuing counter-clockwise.
`Angle16DegLength` |  | The length of the arc. A positive value indicates that it goes counter-clockwise from the start angle and a negative value that it goes clockwise.

## Description

Use Arc to draw an elliptically curved line with the current Pen.

The angles Angle16Deg and Angle16DegLength are measure in 1/16th of a degree. For example, a full circle equals 5760 (16*360). Positive values of Angle16Deg and Angle16DegLength mean counter-clockwise rotation while negative values mean a clockwise direction, from the point of view of who looks at the screen.

Zero degrees is at the 3 o'clock position (right).